{
  lib,
  pkgs,
  osConfig,
  ...
}: let
  enablePlasma = osConfig.services.desktopManager.plasma6.enable;
  enableGnome = osConfig.services.xserver.desktopManager.gnome.enable;
in {
  services.syncthing = {
    enable = true;
  };

  home.packages = lib.mkMerge [
    (lib.mkIf enablePlasma [pkgs.syncthingtray-qt6])
    (lib.mkIf enableGnome [pkgs.gnomeExtensions.syncthing-indicator])
  ];
}
