{
  config,
  pkgs,
  inputs,
  osConfig,
  ...
}: let
  variables = {
    # VISUAL = "emacs";
    EDITOR = "nvim";
  };
in {
  imports = [
    ./xdg.nix
    ./terminal.nix
    ./desktop.nix
    # ./emacs.nix
    ./apps.nix
    ./git.nix
    ./vm.nix
  ];

  home.sessionVariables = variables;
  systemd.user.sessionVariables = variables;

  xdg.enable = true; # TODO: what is this?

  fonts.fontconfig.enable = true; # allows adding fonts from home manager config
  home.packages = with pkgs; [
    noto-fonts-cjk-sans
    noto-fonts-cjk-serif
    noto-fonts-color-emoji
  ];

  # programs.ssh
  programs.ssh = {
    enable = true;
    addKeysToAgent = "1h";
  };
  services.ssh-agent.enable = true;

  programs.yt-dlp.enable = true;

  # This value determines the Home Manager release that your
  # configuration is compatible with. This helps avoid breakage
  # when a new Home Manager release introduces backwards
  # incompatible changes.
  #
  # You can update Home Manager without changing this value. See
  # the Home Manager release notes for a list of state version
  # changes in each release.
  home.stateVersion = "23.11";

  # Let Home Manager install and manage itself.
  #programs.home-manager.enable = true;
}
